com.ihr.xbrl.om.xdt

## Class XDTValidationHypercube

- java.lang.Object
- - com.ihr.xbrl.om.xdt.XDTValidationHypercube

-     public class XDTValidationHypercube
      extends java.lang.Object

  The Class XDTValidationHypercube.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDTValidationHypercube()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getName()` Access to the hypercube name. this is a string composed by the concept prefix colon and local name
    `int` | `hashCode()`
    `void` | `setHypercube(javax.xml.namespace.QName hypercubeQName)` Sets the hypercube.
    `void` | `setValidationDimensions(XDTValidationDimensions d)` Sets the validation dimensions.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XDTValidationHypercube

          public XDTValidationHypercube()

  - ### Method Detail

    - #### setHypercube

          public void setHypercube(javax.xml.namespace.QName hypercubeQName)

      Sets the hypercube.
      Parameters:
        `hypercubeQName` - the new hypercube

    - #### getName

          public java.lang.String getName()

      Access to the hypercube name. this is a string composed by the concept prefix colon and local name
      Returns:
        String

    - #### setValidationDimensions

          public void setValidationDimensions(XDTValidationDimensions d)

      Sets the validation dimensions.
      Parameters:
        `d` - the new validation dimensions

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`